Page MenuHomePhabricator

Make "last modified" message at the bottom more obvious about its containing links
Closed, DeclinedPublic

Description

As discussed in T117970, the "last modified <time> ago by <user>" feature in Mobile is quite cool - I really appreciate that it's time-relative. However, what is completely unclear to the mobile reader is that both the timestamp and the username are links. See attached image for an example.

I'm referring to the section in green:

On my iPhone, pressing the words "5 hours ago" will take me to the article's history page, while pressing the username will take me to their special:UserProfile page. Neither of these actions are obvious on mobile because there is no visual indication that they are links - either by colouring them differently, or by underlining them, or some other method I can't think of.

In contrast - if you look at the mobile view on a desktop computer, then it is possible to hover the cursor over those words - at which point they are given an underline (and the URL preview shows in the browser, depending on your settings). This is NOT the case on mobile.

The only way a mobile-reader would discover these things are links is by accidentally pressing them, and then consciously working out what they'd done so they could repeat the action.

Event Timeline

Wittylama created this task.Dec 7 2015, 5:11 PM
Wittylama raised the priority of this task from to Needs Triage.
Wittylama updated the task description. (Show Details)
Wittylama added a project: Mobile.
Wittylama added a subscriber: Wittylama.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 7 2015, 5:11 PM
Florian renamed this task from make 'last modified' line in Mobile more obvious about its containing links to Make "last modified" message at the bottom more obvious about its containing links.Feb 10 2016, 4:55 PM
Florian triaged this task as Normal priority.
Florian added a project: MobileFrontend.
Florian set Security to None.
Florian added subscribers: Jdlrobson, Florian.
Jdlrobson moved this task from Backlog to Discussing on the MobileFrontend board.Feb 18 2016, 6:25 PM
Nirzar added a subscriber: Nirzar.Aug 3 2016, 6:44 PM

We are talking about very similar topic which solves this task over here > https://phabricator.wikimedia.org/T94298

@Wittylama do you wanna close this task and give your feedback to some of the options i presented here > https://phabricator.wikimedia.org/T94298#2287988

@Nirzar I think either of those two mockups are fine concepts - my only point is that when there's something that's a link, the fact that it is clickable should be made evident. For example, in the first mockup you provided the "edited by 72 members" doesn't pass this test because there's no way to know that it goes to the history page.

So, in that sense, this bug still stands regardless of what changes in text are made - the links still need to be indicated *as links* to mobile readers.

Nirzar added a comment.Aug 4 2016, 4:03 PM

the notion of "links" is an old one. particularly derived from desktop. times have changed and so is the user behavior. on mobile content is used as a hook to more content. instead of a blue underline link that says "contributions" we say "237 edits" and user expectation is tapping on it would show me all those edits aka edit history.

Here are few examples and you can see this on mobile in almost any app. i just took the popular ones -

Instagram - tapping on "36.4k followers" i see all followers

Twitter
tapping on "693 following" i see list of people wikipedia follows

I actually wanted to be even more cautious so i wanted to add chevrons on right side that indicate navigational element according to apple HCI guidelines[1]

So i added the chevron to begin with on the footer realignment task. here https://phabricator.wikimedia.org/T141002

You can also see the chevron in the other concepts that i presented.

[1] https://developer.apple.com/ios/human-interface-guidelines/

The other discussion - T94298 - is about redesigning the layout of the mobile footer to remove the 'last edited by' section. I am not expressing an opinion on that issue. THIS bug is about indicating that something which is a link, is somehow identifiable as a link. That could be underlined, blue, chevron, some kind of shading to indicate a button, whatever.
But, since linking is apparently no longer a thing on the internet, I guess that means you can close this bug as 'wontfix'.

Nirzar added a comment.Aug 4 2016, 6:58 PM

THIS bug is about indicating that something which is a link, is somehow identifiable as a link. That could be underlined, blue, chevron, some kind of shading to indicate a button, whatever.

Yes but what i was getting at is we are fixing the "linking" issue with changing the content itself. there are two ways to fix the linking issue. one is change the treatment and other is change the content. i was opting for the second one since it solves two things. but in any case, for now, the team will be working on this which adds a chevron. https://phabricator.wikimedia.org/T141002 as first step.

the second step is improving the content.

does https://phabricator.wikimedia.org/T141002 solve this task?

Also, i really want to make this particular feature better. i think it is really important for us to invest effort in this. definitely not trying to hide it and make it obscure. so i assure you not making it look like a link is not about hiding it.

Jdlrobson closed this task as Resolved.Jun 27 2017, 10:54 PM
Jdlrobson claimed this task.

Given lack of response to @Nirzar's comment (https://phabricator.wikimedia.org/T120677#2523500) and the timeframe associated with this, I want to reflect reality and say this is fixed and/or is not going to be improved on further.

If not, let's tease out and define what we perceive as the remaining problems rather than jumping into solution mode.

@Jdlrobson if you would like to close this ticket, please close it as "won't fix" rather than '"resolved". It is not resolved at all - the question has simply been declared invalid.
This is not a request for major renovations - it was just a small bug!

I am not expressing an opinion on any new clever design ideas the WMF staff are preparing for the footer. Maybe they'll be great, who knows. All this ticket was about is the fact that current footer says for example:

"Last edited 5 hours ago by Wittylama"
whereby the words before the word "by" are a link to the page-history, and the word after "by" is a link to the most recent editor's userpage.

On desktop you can rollover those words which will give them an underline - indicating that they are links to other pages. However on mobile there is no way to know that there is any link - let alone two, to different places.

This was not a ticket requesting some radical redesign of the footer or a new imagining of how it works. This was just a bug to say that readers on mobile can't possibly know that there are two separate links in that sentence displayed at the bottom of every page, and that this could be easily fixed (even as an interim measure) a number of ways - e.g. underlining, italicising, blue text...

So - if you're not going to give any visual indication to mobile readers that the linked text "last edited 5 hours ago" is a link - notwithstanding @Nirzar 's declaration that "the notion of "links" is an old one", then just close this as Wontfix instead.

Jdlrobson changed the task status from Resolved to Declined.Jul 12 2017, 3:45 PM

We can spend time deciding whether this is a "invalid", "declined" or "resolved" but I'm not sure why that is useful. It's resolved in that we had a conversation. It could be argued that it's "invalid" as mobile/web best practices don't insist that links need to be discoverable (I for one expect everything that can be a link to be a link). As you suggest it could be "declined". I could talk for hours about why Phabricator should have a single "Closed" state. That's definitely off topic for here though and best addressed as a ticket tagged Phabricator.

Given your request and preference I've switched to declined. The result is the same for our workflow.

The important thing is the explanation about why they are styled like this from @Nirzar is very detailed and explains why we don't plan to do anything here.